<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/white_bg"
    android:overScrollMode="never">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/back_btn"
                android:layout_width="35sp"
                android:layout_height="35sp"
                android:layout_marginStart="15dp"
                android:layout_marginTop="15dp"
                android:layout_marginEnd="15dp"
                android:layout_marginBottom="15dp"
                android:contentDescription="@string/back_button"
                android:padding="5dp"
                android:paddingStart="-15dp"
                android:paddingEnd="0dp"
                android:src="@drawable/arrow_back" />

            <ImageView
                android:id="@+id/edit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginVertical="15dp"
                android:layout_marginEnd="15dp"
                android:contentDescription="@string/edit_contact"
                android:padding="5dp"
                android:src="@drawable/ic_edit_outline" />

            <ImageView
                android:id="@+id/delete"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="15dp"
                android:layout_marginTop="15dp"
                android:layout_marginEnd="15dp"
                android:layout_marginBottom="15dp"
                android:layout_toStartOf="@id/edit"
                android:contentDescription="@string/edit_contact"
                android:padding="5dp"
                android:src="@drawable/ic_delete_outline" />

        </RelativeLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginBottom="5dp"
            android:fontFamily="@font/nunito_medium"
            android:text="@string/contact_information"
            android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
            android:textColor="@color/black" />

        <com.google.android.material.card.MaterialCardView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="35dp"
            android:layout_marginBottom="20dp"
            app:cardCornerRadius="@dimen/_50sdp"
            app:strokeColor="@color/color_accent"
            app:strokeWidth="1dp"
            >

            <ImageView
                android:id="@+id/image"
                android:layout_width="@dimen/_100sdp"
                android:layout_height="@dimen/_100sdp"
                android:contentDescription="@string/onboard_image"
                android:src="@drawable/ic_contact" />

        </com.google.android.material.card.MaterialCardView>

        <TextView
            android:id="@+id/name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginHorizontal="15dp"
            android:layout_marginBottom="5dp"
            android:fontFamily="@font/nunito_bold"
            tools:text="@string/aditya_gaikwad"
            android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
            android:textColor="@color/black" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="15dp"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:weightSum="5">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="3"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/phone_number"
                    android:layout_height="wrap_content"
                    android:layout_width="wrap_content"

                    android:enabled="false"

                    android:fontFamily="@font/nunito_medium"
                    android:textSize="@dimen/_18ssp"
                    android:textColor="@color/black"
                    android:maxLines="1"
                    android:ellipsize="end"
                    tools:text="@string/_918208401763"

                    />

                <com.skydoves.powerspinner.PowerSpinnerView
                    android:id="@+id/phone_spinner"
                    android:enabled="false"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"

                    android:background="@color/white_bg"

                    android:gravity="center_vertical"

                    android:padding="10dp"
                    android:textColor="@color/black"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

                    android:hint="@string/enter_your_country"
                    android:textColorHint="#A1A1A1"

                    app:spinner_arrow_drawable="@drawable/ic_down"
                    app:drawableTint="@color/white"

                    app:spinner_popup_max_height="200dp"
                    app:spinner_arrow_animate="true"
                    app:fontFamily="@font/nunito_regular"

                    android:layout_marginVertical="5dp"
                    android:layout_marginEnd="5dp"

                    app:spinner_arrow_gravity="end"
                    app:spinner_arrow_padding="8dp"
                    app:spinner_arrow_tint="@color/black"
                    app:spinner_divider_show="true"
                    app:spinner_divider_size="0.4dp"
                    app:spinner_divider_color="@color/black"
                    app:spinner_item_height="46dp"
                    app:spinner_popup_animation="dropdown"
                    app:spinner_popup_background="@drawable/edit_text_bg_2"
                    app:spinner_popup_elevation="14dp"

                    />

            </LinearLayout>

            <ImageView
                android:id="@+id/call_btn"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:contentDescription="@string/phone_number"
                android:src="@drawable/ic_phone_img" />

            <ImageView
                android:id="@+id/message_btn"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:contentDescription="@string/phone_number"
                android:src="@drawable/ic_msg_img" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="5dp"
            android:alpha="0.5"
            android:background="@android:color/darker_gray" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            android:layout_marginHorizontal="15dp"
            android:fontFamily="@font/nunito_semibold"
            android:text="@string/email_address_"
            android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
            android:textColor="@color/black"

            android:layout_marginVertical="5dp"

            />

        <TextView
            android:id="@+id/email"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            android:layout_marginHorizontal="15dp"
            android:fontFamily="@font/nunito_regular"
            tools:text="@string/static_gmail_com"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textColor="@color/black"
            />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="15dp"
            android:alpha="0.5"
            android:background="@android:color/darker_gray" />


        <TextView
            android:id="@+id/relationship_tag"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            android:layout_marginHorizontal="15dp"
            android:fontFamily="@font/nunito_semibold"
            android:text="@string/relationship_"
            android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
            android:textColor="@color/black"

            android:layout_marginVertical="5dp"

            />

        <TextView
            android:id="@+id/relationship"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            android:layout_marginHorizontal="15dp"
            android:layout_marginBottom="25dp"
            android:fontFamily="@font/nunito_regular"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textColor="@color/black"

            tools:text="@string/caregiver_emergency_contact" />

    </LinearLayout>

</ScrollView>